{% load staticfiles %}
<!--DOCTYPE html -->
<html>
  <head>
      <title> {% block head_title %} Try Django 1.9 {% endblock head_title %}</title>

      <!-- Latest compiled and minified CSS -->
      <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">

      <!-- Optional theme -->
      <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp" crossorigin="anonymous">

<link rel='stylesheet' href='{% static "css/base.css" %}' />
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css"/>
      {% block head_extra %} {% endblock head_extra %}
  </head>


  <body>
    <div id="fb-root"></div>
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/pl_PL/sdk.js#xfbml=1&version=v2.8";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>
    {% include "messages_display.html" %}
    <div class='container'>
      <ol class='breadcrumb'>
        <li><a href="{% url 'posts:list' %}">Home</a></li>
        {% block post_detail_link %}
        {% endblock post_detail_link %}
        {% if not request.user.is_authenticated %}
        <li class="pull-right"><a href="{% url 'register' %}">Register</a></li>
        <li class="pull-right"><a href="{% url 'login' %}">Login</a></li>
        {% else %}
        <li class="pull-right"><a href="{% url 'logout' %}">Logout</a></li>
        {% endif %}
      </ol>
      {% block content %}

      {% endblock content %}
    </div>
    <script
			  src="https://code.jquery.com/jquery-1.12.4.min.js"
			  integrity="sha256-ZosEbRLbNQzLpnKIkEdrPv7lOy9C27hHQ+Xp8a4MxAQ="
			  crossorigin="anonymous"></script>
    <!-- Latest compiled and minified JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/marked/0.3.6/marked.min.js"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        $(".content-markdown").each(function(){
            var content = $(this).text()
            var markedContent = marked(content)
            $(this).html(markedContent)
      })
      $(".post-detail-item img").each(function(){
           $(this).addClass("img-responsive")
    })

    var contentInput = $('#id_content')

    function setContent(value){
         var markedContent = marked(value)
         $('#preview-content').html(markedContent)
         $('#preview-content img').each(function(){
             $(this).addClass('img-responsive')

         })
    }
    setContent(contentInput.val())
    contentInput.keyup(function(){
        var newContent = $(this).val()
        setContent(newContent)

    })
    var titleInput = $('#id_title')
    function setTitle(value){
      $('#preview-title').text(value)
    }
    setTitle(titleInput.val())
    $('#preview-title').text(titleInput.val())
    titleInput.keyup(function(){
      var newContent = $(this).val()
      setTitle(newContent)
    })
    $('.comment-reply-btn').click(function(event){
        event.preventDefault();
        $(this).parent().next('.comment-reply').fadeToggle();
    })

    })
    </script>
  </body>
</html>
